Bug 185262 - Review Request: kchmviewer - CHM viewer
Review Request: kchmviewer - CHM viewer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-12 17:14 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 19:29:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jwboyer: fedora‑cvs+


Attachments (Terms of Use)
Minor patch (600 bytes, patch)
2006-05-17 20:16 EDT, Jose Pedro Oliveira
no flags Details | Diff

  None (edit)
Description Patrice Dumas 2006-03-12 17:14:39 EST
SRPM Name or Url: 
http://www.environnement.ens.fr/perso/dumas/fc-srpms/kchmviewer-2.0-1.src.rpm
Description: 

KchmViewer is a chm (MS HTML help file format) viewer, written in C++. 
The main advantage of KchmViewer is extended support for non-English 
languages. Unlike others, KchmViewer in most cases correctly detects chm 
file encoding, correctly shows tables of context of Russian, Korean, 
Chinese and Japanese help files, and correctly searches in non-English 
help files (search for MBCS languages - ja/ko/ch is still in progress). 

- Completely safe and harmless. Does not support JavaScript in any way, 
  optionally warns you before opening an external web page, or switching 
  to another help file. 
- Shows an appropriate image for every TOC entry. 
- Has complete chm index support, including multiple index entries, 
  cross-links and parent/child entries in index. 
- Persistent bookmarks support. Allows to store bookmarks even if 
  "Favorites" window was not enabled for this chm file. Also stores the 
  screen position for every bookmark. You can also edit/delete bookmarks. 
- For any opened chm file, stores the last opened window, search history, 
  bookmark history, font size and so on, so when you open this file again, 
  everything is always on the place. 
- Has easy and powerful search-in-page support. 
- Allows to increase or decrease the font size, so physically handicapped 
  people can read texts easily. 
- Has standard Back/Forward/Home navigation. 
- Can print the opened pages on a standard printer (usually via CUPS). 
- Has complex search query support. You can use search queries like "lazy 
  people" + learn -not.
Comment 1 Patrice Dumas 2006-03-13 17:49:54 EST
Thanks to Rex Dieter I have understood why it failed with kde support. Here is
an updated srpm with kde support:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/kchmviewer-2.0-2.src.rpm
Comment 2 Patrice Dumas 2006-03-14 14:30:33 EST
Here is an updated version with use of update-desktop-database:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/kchmviewer-2.0-3.src.rpm
Comment 3 John Mahowald 2006-04-30 22:09:18 EDT
 rpmlint checks return:
E: kchmviewer old-menu-entry /usr/share/applnk/kchmviewer.desktop

Not necessary with it already in /usr/share/applications 

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file ok

%description's a bit long, but oh well.

APPROVED
Comment 4 Patrice Dumas 2006-05-01 04:27:51 EDT
I am importing the package now. Should I remove the
/usr/share/applnk/kchmviewer.desktop
file?
Comment 5 Rex Dieter 2006-05-01 07:42:53 EDT
Patrice, just use
desktop-file-install --delete-original ...
Comment 6 Rex Dieter 2006-05-01 07:44:24 EDT
Oops, better yet, change:

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        kio-msits/kchmviewer.desktop

to

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        --delete-original \
        $RPM_BUILD_ROOT%{_datadir}/applnk/*/kchmviewer.desktop
Comment 7 Michael J Knox 2006-05-08 00:18:55 EDT
package is in extras. Please remember to close package reviews once approved and
imported into cvs etc etc
Comment 8 Jose Pedro Oliveira 2006-05-12 14:56:04 EDT
Re-opening this until Patrice can:
 * look at comment #6
 * build the package for FC-4 and FC-5 (branches already created)
Comment 9 Patrice Dumas 2006-05-16 19:29:09 EDT
I was on vacations, I hope everything is sorted out now.

The issue raised in the comment #6 should be fixed, I updated
owners.list, and it is built for FC-4 FC-5.
Comment 10 Jose Pedro Oliveira 2006-05-17 20:16:31 EDT
Created attachment 129378 [details]
Minor patch

Thanks.  Now you can update the package to version 2.5 :)

You need to apply the attached patch (at least for FC-5) and add the following
line to the specfile (%files section):
   %{_datadir}/icons/crystalsvg/*/apps/kchmviewer.png

jpo
Comment 11 Patrice Dumas 2007-04-07 16:29:29 EDT
Package Change Request
======================
Package Name: kchmviewer
Updated Fedora Owners: pertusus[ AT ]free.fr, jpo[ AT ]di.uminho.pt

Note You need to log in before you can comment on or make changes to this bug.